<Cabbage>
form caption("Untitled") size(400, 300), colour(58, 110, 182), pluginID("def1")

image bounds(250, 150, 145, 145), file("TestKnob.png"), crop(0, 0, 145, 145), identchannel("sliderIdent4")
rslider bounds(250, 150, 145, 145), channel("gain"), range(0.175, 5.75, 1, .37, .001), text("Gain"), trackercolour("lime"), outlinecolour(0, 0, 0, 50), textcolour("black"), alpha(0)
image bounds(150, 1, 145, 145), file("TestKnob.png"), crop(0, 0, 145, 145), identchannel("sliderIdent3")
rslider bounds(150, 1, 145, 145), channel("gain1"), range(0, 1, .5, .37, .001), text("Gain"), trackercolour("lime"), outlinecolour(0, 0, 0, 50), textcolour("black"), alpha(0)

</Cabbage>
<CsoundSynthesizer>
<CsOptions>
-n -d -+rtmidi=NULL -M0 -m0d 
</CsOptions>
<CsInstruments>
; Initialize the global variables. 
sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1

opcode filmStrip, 0,Skii
	Sident, kPos, iWidth, iHeight xin 
	if changed(kPos) == 1 then
		SMessage sprintfk "crop(0, %d, %d, %d)", kPos, iWidth, iHeight
		chnset SMessage, Sident
	endif
endop 


instr 1
kvSlider4 chnget "gain"
kvSlider3 chnget "gain1"
filmStrip "sliderIdent4", int(kvSlider4*30)*145, 145, 145
filmStrip "sliderIdent3", int(kvSlider3*30)*145, 145, 145
kGain chnget "gain"



a1 inch 1
a2 inch 2

outs a1*kGain, a2*kGain
endin

</CsInstruments>
<CsScore>
;causes Csound to run for about 7000 years...
f0 z
;starts instrument 1 and runs it for a week
i1 0 [60*60*24*7] 
</CsScore>
</CsoundSynthesizer>
